This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Upgrade to ExtUtils-MakeMaker-6.48
authorNicholas Clark <nick@ccl4.org>
Mon, 20 Oct 2008 20:29:13 +0000 (20:29 +0000)
committerNicholas Clark <nick@ccl4.org>
Mon, 20 Oct 2008 20:29:13 +0000 (20:29 +0000)
p4raw-id: //depot/perl@34541

31 files changed:
lib/ExtUtils/Changes
lib/ExtUtils/Command/MM.pm
lib/ExtUtils/Liblist.pm
lib/ExtUtils/Liblist/Kid.pm
lib/ExtUtils/MM.pm
lib/ExtUtils/MM_AIX.pm
lib/ExtUtils/MM_Any.pm
lib/ExtUtils/MM_BeOS.pm
lib/ExtUtils/MM_Cygwin.pm
lib/ExtUtils/MM_DOS.pm
lib/ExtUtils/MM_Darwin.pm
lib/ExtUtils/MM_MacOS.pm
lib/ExtUtils/MM_NW5.pm
lib/ExtUtils/MM_OS2.pm
lib/ExtUtils/MM_QNX.pm
lib/ExtUtils/MM_UWIN.pm
lib/ExtUtils/MM_Unix.pm
lib/ExtUtils/MM_VMS.pm
lib/ExtUtils/MM_VOS.pm
lib/ExtUtils/MM_Win32.pm
lib/ExtUtils/MM_Win95.pm
lib/ExtUtils/MY.pm
lib/ExtUtils/MakeMaker.pm
lib/ExtUtils/MakeMaker/Config.pm
lib/ExtUtils/MakeMaker/bytes.pm
lib/ExtUtils/MakeMaker/vmsish.pm
lib/ExtUtils/Mkbootstrap.pm
lib/ExtUtils/Mksymlists.pm
lib/ExtUtils/TODO
lib/ExtUtils/testlib.pm
t/lib/MakeMaker/Test/Utils.pm

index 71255a3..c294806 100644 (file)
@@ -1,3 +1,34 @@
+6.48  Mon Oct 20 11:18:13 PDT 2008
+    Test Fixes
+    * Protect against stray environment variables effecting the tests.
+      [rt.cpan.org 14930]
+
+
+6.47_02  Thu Oct 16 16:14:20 PDT 2008
+    Test Fixes
+    * MIN_PERL_VERSION test had some goofs on VMS. [thanks Craig Berry]
+
+
+6.47_01  Tue Oct 14 12:38:05 EDT 2008
+    New Features
+    * Added optional parameter MIN_PERL_VERSION, to define minimal
+      required perl version for dependency checks and to pass on to
+      META.yml and ppd files.        [rt.cpan.org 28374]
+      Thanks to David Golden, Alexandr Ciornii (chorny) and Martin Becker
+
+    Bug Fixes
+    * Guard against a path to Perl with a space in it.
+      From Max Maischein.  [bleadperl@32905]  
+
+    Test Fixes
+    - Small fix for VOS from Paul Green [bleadperl@33259]
+
+    Other
+    * $ExtUtils::MakeMaker::Revision, $ExtUtils::MM_Unix::Revision and 
+      $ExtUtils::MM_VMS::Revision are all now based on $VERSION.  You
+      shouldn't be using them for anything anyway.
+
+
 6.46  Sat Sep 27 17:34:03 EDT 2008
     Bug Fixes
     - Fix META_MERGE for more than one level of hashes.  [rt.cpan.org 39348]
@@ -9,7 +40,7 @@
       1.50 and ExtUtils::Manifest to 1.54
 
     Test Fixes
-    - t/writemakefile_args.t had the wrong skip amoung causing failures
+    - t/writemakefile_args.t had the wrong skip amount causing failures
       when run without version.pm (mostly 5.6 users)
 
 
index 052e9ed..5665bbb 100644 (file)
@@ -10,7 +10,7 @@ our @ISA = qw(Exporter);
 
 our @EXPORT  = qw(test_harness pod2man perllocal_install uninstall 
                   warn_if_old_packlist);
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 my $Is_VMS = $^O eq 'VMS';
 
index 571c95b..b6ac71a 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::Liblist;
 
 use strict;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 use File::Spec;
 require ExtUtils::Liblist::Kid;
index beb10d8..c6d438a 100644 (file)
@@ -9,7 +9,7 @@ use 5.006;
 # Broken out of MakeMaker from version 4.11
 
 use strict;
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 
 use Config;
 use Cwd 'cwd';
index a21d940..04195ee 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MM;
 use strict;
 use ExtUtils::MakeMaker::Config;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::Liblist;
 require ExtUtils::MakeMaker;
index 6306c14..e4d5735 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_AIX;
 
 use strict;
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index 53849ae..5e4bd69 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_Any;
 
 use strict;
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 use Carp;
 use File::Spec;
index ec35c80..74d1fbc 100644 (file)
@@ -26,7 +26,7 @@ require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
 
 our @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 
 =item os_flavor
index b85f55a..8eff244 100644 (file)
@@ -9,7 +9,7 @@ require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
 our @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 
 =head1 NAME
index 4f273df..ab36bda 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_DOS;
 
 use strict;
 
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index dd7f251..95f2bfa 100644 (file)
@@ -7,6 +7,8 @@ BEGIN {
     our @ISA = qw( ExtUtils::MM_Unix );
 }
 
+our $VERSION = '6.48';
+
 
 =head1 NAME
 
index e4d3bb6..ca70aa8 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_MacOS;
 
 use strict;
 
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 
 sub new {
     die <<'UNSUPPORTED';
index 103804f..c76e731 100644 (file)
@@ -22,7 +22,7 @@ use strict;
 use ExtUtils::MakeMaker::Config;
 use File::Basename;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::MM_Win32;
 our @ISA = qw(ExtUtils::MM_Win32);
index 92b2c1c..9e6fdfa 100644 (file)
@@ -5,7 +5,7 @@ use strict;
 use ExtUtils::MakeMaker qw(neatvalue);
 use File::Spec;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index ddde91c..ae52418 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_QNX;
 
 use strict;
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index fe37a2b..b98a1d8 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_UWIN;
 
 use strict;
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index d018fe0..af5a7ce 100644 (file)
@@ -15,7 +15,7 @@ use ExtUtils::MakeMaker qw($Verbose neatvalue);
 
 # If we make $VERSION an our variable parse_version() breaks
 use vars qw($VERSION);
-$VERSION = '6.47_02';
+$VERSION = '6.48';
 
 require ExtUtils::MM_Any;
 our @ISA = qw(ExtUtils::MM_Any);
index 65610b8..2455733 100644 (file)
@@ -15,7 +15,7 @@ BEGIN {
 
 use File::Basename;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index 3da60ec..7fa41b4 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_VOS;
 
 use strict;
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index 05b81e9..b853849 100644 (file)
@@ -27,7 +27,7 @@ use ExtUtils::MakeMaker qw( neatvalue );
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
 our @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 $ENV{EMXSHELL} = 'sh'; # to run `commands`
 
index ee22922..e2dd56a 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_Win95;
 
 use strict;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require ExtUtils::MM_Win32;
 our @ISA = qw(ExtUtils::MM_Win32);
index c299590..e41b6f5 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MY;
 use strict;
 require ExtUtils::MM;
 
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 our @ISA = qw(ExtUtils::MM);
 
 {
index 6d6037b..314c5d0 100644 (file)
@@ -18,7 +18,7 @@ our @Overridable;
 my @Prepend_parent;
 my %Recognized_Att_Keys;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 # Emulate something resembling CVS $Revision$
 (our $Revision = $VERSION) =~ s{_}{};
index 655aceb..0e5e8c0 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MakeMaker::Config;
 
 use strict;
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 use Config ();
 
index dc13bfa..0d2ccc8 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MakeMaker::bytes;
 
 use strict;
 
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 
 my $Have_Bytes = eval { require bytes; 1; };
 
index 7fa5e6a..225b9c7 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MakeMaker::vmsish;
 
 use strict;
 
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 
 my $IsVMS = $^O eq 'VMS';
 
index 4de3561..bb1a5b9 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::Mkbootstrap;
 # There's just too much Dynaloader incest here to turn on strict vars.
 use strict 'refs';
 
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 require Exporter;
 our @ISA = ('Exporter');
index 316b733..9675d5c 100644 (file)
@@ -10,7 +10,7 @@ use Config;
 
 our @ISA = qw(Exporter);
 our @EXPORT = qw(&Mksymlists);
-our $VERSION = '6.47_02';
+our $VERSION = '6.48';
 
 sub Mksymlists {
     my(%spec) = @_;
index fe5a703..e5cd355 100644 (file)
@@ -73,3 +73,6 @@ Make out of date check on 'make dist' more useful
 http://archive.develooper.com/makemaker@perl.org/msg01075.html
 
 Make maniadd() return a tied, case-insensitive hash on VMS.
+
+
+TER
\ No newline at end of file
index b369433..9437b53 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::testlib;
 use strict;
 use warnings;
 
-our $VERSION = 6.47_02;
+our $VERSION = 6.48;
 
 use Cwd;
 use File::Spec;
index 9cbd015..2e9e725 100644 (file)
@@ -20,6 +20,41 @@ our @EXPORT = qw(which_perl perl_lib makefile_name makefile_backup
                 );
 
 
+# Setup the code to clean out %ENV
+{
+    # Environment variables which might effect our testing
+    my @delete_env_keys = qw(
+        PERL_MM_OPT
+        PERL_MM_USE_DEFAULT
+        HARNESS_TIMER
+        HARNESS_OPTIONS
+        HARNESS_VERBOSE
+    );
+
+    # Remember the ENV values because on VMS %ENV is global
+    # to the user, not the process.
+    my %restore_env_keys;
+
+    sub clean_env {
+        for my $key (@delete_env_keys) {
+            if( exists $ENV{$key} ) {
+                $restore_env_keys{$key} = delete $ENV{$key};
+            }
+            else {
+                delete $ENV{$key};
+            }
+        }
+    }
+
+    END {
+        while( my($key, $val) = each %restore_env_keys ) {
+            $ENV{$key} = $val;
+        }
+    }
+}
+clean_env();
+
+
 =head1 NAME
 
 MakeMaker::Test::Utils - Utility routines for testing MakeMaker